View Issue Details

IDProjectCategoryView StatusLast Update
0004899GNUnetcadet servicepublic2018-06-07 00:24
ReporterlurchiAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
PlatformOSDebianOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004899: External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012
DescriptionFrom time to time, gnunet-cadet can't establish a connection after restarting gnunet on the listening peer. Normally it works n times without problems (1 < n < 10), then the "external protocol violation" happens periodically.

revision: 6f8fabef01d53234928a2c766fe19b0bbb00a2a2

logs from both listening and connecing peer are attached.
Steps To ReproduceA: connecting peer
B: listening peer

- A, B: GNUNET_FORCE_LOG="cadet;;;;DEBUG" gnunet-arm -c gnunet.conf -s
- A: gnunet-cadet -o 9999; B: gnunet-cadet <A's peerid> 9999

while connection successful:
- A: gnuent-arm -e;
- A: GNUNET_FORCE_LOG="cadet;;;;DEBUG" gnunet-arm -c gnunet.conf -s
- A: gnunet-cadet -o 9999; B: gnunet-cadet <A's peerid> 9999
Additional Information    [arm]
SYSTEM_ONLY = NO
USER_ONLY = NO

[hostlist]
AUTOSTART = NO
FORCESTART = NO

#[topology]
#FRIENDS-ONLY = YES

[peerinfo]
USE_INCLUDED_HELLOS = NO

[transport-udp]
BROADCAST = NO

[fs]
AUTOSTART = NO
FORCESTART = NO

[nse]
FORCESTART = NO

[set]
FORCESTART = NO

[statistics]
FORCESTART = NO

[vpn]
FORCESTART = NO

[PATHS]
GNUNET_HOME = ./test

[conversation]
LINE = 2
TagsNo tags attached.

Activities

lurchi

2017-02-18 22:03

developer  

20160218.2.connecting.txt (19,311 bytes)
Feb 18 21:40:13-340804 cadet-cor-4556 DEBUG CORE connection to peer RH83 went down.
Feb 18 21:40:13-341099 cadet-per-4556 DEBUG Message queue for peer P(RH83) is now (nil)
Feb 18 21:40:13-341266 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) went down
Feb 18 21:40:13-341425 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) no longer ready for Tunnel RH83
Feb 18 21:40:13-341584 cadet-per-4556 DEBUG Updating peer P(RH83) activation state (0 connections) with tunnel
Feb 18 21:40:13-341759 cadet-dht-4556 DEBUG Starting DHT GET for peer RH83 (0x153f6d0)
Feb 18 21:40:16-022134 cadet-4556 DEBUG Client(6) connected
Feb 18 21:40:16-022319 cadet-4556 DEBUG New channel to RH83 at port PR96BHN5 requested by Client(6)
Feb 18 21:40:16-022356 cadet-tun-4556 DEBUG Adding Channel RH83:PR96BHN5 ctn:0(80000000/0) to Tunnel RH83
Feb 18 21:40:16-022383 cadet-chn-4556 DEBUG Tunnel up, sending CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:0(80000000/0) now
Feb 18 21:40:16-022418 cadet-chn-4556 DEBUG Created channel to port PR96BHN5 at peer P(RH83) for Client(6) using Tunnel RH83
Feb 18 21:40:16-022489 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:40:16-022514 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:40:40-365113 cadet-cor-4556 DEBUG CORE connection to peer RH83 was established.
Feb 18 21:40:40-365186 cadet-per-4556 DEBUG Message queue for peer P(RH83) is now 0x153ffb0
Feb 18 21:40:40-365211 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 0
Feb 18 21:40:40-365235 cadet-per-4556 DEBUG Updating peer P(RH83) activation state (0 connections) with tunnel with CORE link
Feb 18 21:40:40-365253 cadet-dht-4556 DEBUG Stopping DHT GET 0x153f6d0
Feb 18 21:40:40-365283 cadet-pat-4556 DEBUG check_match found match with path RH83(0x1527960)
Feb 18 21:40:40-365302 cadet-pat-4556 DEBUG Returning existing path RH83(0x1527960) as inverse for incoming connection
Feb 18 21:40:40-365322 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
Feb 18 21:40:40-365382 cadet-con-4556 DEBUG Sending CADET_CONNECTION_CREATE message for Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-365401 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:40-365420 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:40-365440 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 2
Feb 18 21:40:40-367041 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:40-367547 cadet-con-4556 DEBUG Sending CADET_CONNECTION_CREATE message for Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-367574 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:40-367593 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:40-367617 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 2
Feb 18 21:40:40-368621 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:40-371757 cadet-con-4556 DEBUG Sending CADET_CONNECTION_CREATE message for Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-371790 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:40-371809 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:40-371830 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 2
Feb 18 21:40:40-372018 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:40-379957 cadet-con-4556 DEBUG Sending CADET_CONNECTION_CREATE message for Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-379990 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:40-380009 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:40-380030 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 2
Feb 18 21:40:40-380287 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:40-396210 cadet-con-4556 DEBUG Sending CADET_CONNECTION_CREATE message for Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-396243 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:40-396261 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:40-396282 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 2
Feb 18 21:40:40-396532 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:40-419800 cadet-cor-4556 DEBUG Received CONNECTION_CREATE_ACK for connection T3JWZ3.
Feb 18 21:40:40-419837 cadet-con-4556 DEBUG Received CADET_CONNECTION_CREATE_ACK for Connection T3JWZ3 (Tunnel RH83) in state 2 (MQM ready)
Feb 18 21:40:40-419863 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:40:40-419885 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-419904 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-419924 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:40-419942 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:40-419964 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:40:40-419983 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:40:40-420002 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:40:40-420023 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:40:40-420049 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 500 ms
Feb 18 21:40:40-420211 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:40-434099 cadet-cor-4556 DEBUG Received CONNECTION_CREATE_ACK for connection T3JWZ3.
Feb 18 21:40:40-434135 cadet-con-4556 DEBUG Received CADET_CONNECTION_CREATE_ACK for Connection T3JWZ3 (Tunnel RH83) in state 4 (MQM ready)
Feb 18 21:40:40-920661 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:40:40-920739 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:40:40-924729 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-924751 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:40-924774 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:40-924794 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:40-924820 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:40:40-924840 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:40:40-924860 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:40:40-924881 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:40:40-924905 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 1 s
Feb 18 21:40:40-925252 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:41-926102 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:40:41-926252 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:40:41-933212 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:41-933298 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:41-933373 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:41-933439 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:41-933516 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:40:41-933583 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:40:41-933647 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:40:41-933716 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:40:41-933789 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 2 s
Feb 18 21:40:41-934181 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:43-935968 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:40:43-936077 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:40:43-939681 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:43-939733 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:43-939790 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:43-939839 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:43-939900 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:40:43-939953 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:40:43-939990 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:40:43-940035 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:40:43-940079 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 4 s
Feb 18 21:40:43-940275 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:47-944278 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:40:47-944396 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:40:47-948004 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:47-948055 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:47-948099 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:47-948139 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:47-948185 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:40:47-948231 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:40:47-948278 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:40:47-948319 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:40:47-948364 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 8 s
Feb 18 21:40:47-948582 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:40:52-720523 cadet-tun-4556 DEBUG Performing connection maintenance for Tunnel RH83.
Feb 18 21:40:52-720640 cadet-per-4556 DEBUG Iterating over paths to peer P(RH83) including direct link
Feb 18 21:40:52-720677 cadet-pat-4556 DEBUG check_match found match with path RH83(0x1527960)
Feb 18 21:40:52-720711 cadet-pat-4556 DEBUG Returning existing path RH83(0x1527960) as inverse for incoming connection
Feb 18 21:40:52-720743 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
Feb 18 21:40:52-720772 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
Feb 18 21:40:55-951843 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:40:55-951944 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:40:55-957949 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:55-957985 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:40:55-958024 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:40:55-958055 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:40:55-958096 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:40:55-958130 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:40:55-958163 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:40:55-958200 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:40:55-958240 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 16 s
Feb 18 21:40:55-958645 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:41:11-974389 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:41:11-974508 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:41:11-978114 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:41:11-978164 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:41:11-978210 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:41:11-978250 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:41:11-978295 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:41:11-978334 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:41:11-978380 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:41:11-978421 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:41:11-978465 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 32 s
Feb 18 21:41:11-978671 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:41:44-010618 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:41:44-010694 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:41:44-014263 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:41:44-014284 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:41:44-014306 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:41:44-014326 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:41:44-014352 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:41:44-014372 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:41:44-014391 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:41:44-014413 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:41:44-014437 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 64 s
Feb 18 21:41:44-014724 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:41:52-729739 cadet-tun-4556 DEBUG Performing connection maintenance for Tunnel RH83.
Feb 18 21:41:52-729856 cadet-per-4556 DEBUG Iterating over paths to peer P(RH83) including direct link
Feb 18 21:41:52-729897 cadet-pat-4556 DEBUG check_match found match with path RH83(0x1527960)
Feb 18 21:41:52-729933 cadet-pat-4556 DEBUG Returning existing path RH83(0x1527960) as inverse for incoming connection
Feb 18 21:41:52-729971 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
Feb 18 21:41:52-730004 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
Feb 18 21:42:48-069899 cadet-chn-4556 DEBUG Sending CHANNEL_OPEN message for Channel RH83:PR96BHN5 ctn:3000000(80000000/0)
Feb 18 21:42:48-070007 cadet-tun-4556 DEBUG Encrypting 76 bytes for Tunnel RH83
Feb 18 21:42:48-076961 cadet-tun-4556 DEBUG Sending payload of Tunnel RH83 on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:42:48-076999 cadet-con-4556 DEBUG Scheduling message for transmission on Connection T3JWZ3 (Tunnel RH83)
Feb 18 21:42:48-077037 cadet-per-4556 DEBUG Queueing message to peer P(RH83) in MQM 0x153dd40
Feb 18 21:42:48-077069 cadet-per-4556 DEBUG Sending to peer P(RH83) from MQM 0x153dd40
Feb 18 21:42:48-077110 cadet-tun-4556 DEBUG Connection T3JWZ3 (Tunnel RH83) now ready for Tunnel RH83 in state CADET_TUNNEL_KEY_OK
Feb 18 21:42:48-077145 cadet-tun-4556 DEBUG Not sending payload of Tunnel RH83 on ready Connection T3JWZ3 (Tunnel RH83) (nothing pending)
Feb 18 21:42:48-077178 cadet-con-4556 DEBUG Core MQ for Connection T3JWZ3 (Tunnel RH83) became available in state 4
Feb 18 21:42:48-077213 cadet-con-4556 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel RH83) in 5 m
Feb 18 21:42:48-077254 cadet-chn-4556 DEBUG Sent CADET_CHANNEL_OPEN on Channel RH83:PR96BHN5 ctn:3000000(80000000/0), retrying in 128 s
Feb 18 21:42:48-077642 cadet-per-4556 DEBUG Sending to peer P(RH83) completed
Feb 18 21:42:52-734795 cadet-tun-4556 DEBUG Performing connection maintenance for Tunnel RH83.
Feb 18 21:42:52-734878 cadet-per-4556 DEBUG Iterating over paths to peer P(RH83) including direct link
Feb 18 21:42:52-734900 cadet-pat-4556 DEBUG check_match found match with path RH83(0x1527960)
Feb 18 21:42:52-734920 cadet-pat-4556 DEBUG Returning existing path RH83(0x1527960) as inverse for incoming connection
Feb 18 21:42:52-734939 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
Feb 18 21:42:52-734958 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
Feb 18 21:42:52-749153 cadet-hll-4556 DEBUG Hello for RH83 (472 bytes), expires on Sun Feb 19 09:42:52 2017
Feb 18 21:42:52-749196 cadet-per-4556 DEBUG Got 472 byte HELLO for peer P(RH83)
Feb 18 21:43:52-795085 cadet-tun-4556 DEBUG Performing connection maintenance for Tunnel RH83.
Feb 18 21:43:52-795198 cadet-per-4556 DEBUG Iterating over paths to peer P(RH83) including direct link
Feb 18 21:43:52-795236 cadet-pat-4556 DEBUG check_match found match with path RH83(0x1527960)
Feb 18 21:43:52-795334 cadet-pat-4556 DEBUG Returning existing path RH83(0x1527960) as inverse for incoming connection
Feb 18 21:43:52-795368 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
Feb 18 21:43:52-795398 cadet-tun-4556 DEBUG Ignoring duplicate path RH83(0x1527960).
20160218.2.connecting.txt (19,311 bytes)

lurchi

2017-02-18 22:04

developer  

20160218.2.listening.txt (14,238 bytes)
Feb 18 21:40:14-127784 cadet-22259 INFO CADET started for peer RH83
Feb 18 21:40:14-157003 cadet-api-22263 DEBUG GNUNET_CADET_connect() 0x179de90
Feb 18 21:40:14-162323 cadet-api-22263 DEBUG Connecting to CADET
Feb 18 21:40:14-163478 cadet-22259 DEBUG Client(0) connected
Feb 18 21:40:14-167144 cadet-api-22269 DEBUG GNUNET_CADET_connecT()
Feb 18 21:40:14-167471 cadet-22259 DEBUG Client(1) connected
Feb 18 21:40:14-170184 cadet-22259 DEBUG Open port X4QX93K5 requested by Client(1)
Feb 18 21:40:14-180126 cadet-hll-22259 DEBUG Hello for A10V (472 bytes), expires on Sun Feb 19 09:39:26 2017
Feb 18 21:40:14-180181 cadet-per-22259 DEBUG Creating peer P(A10V)
Feb 18 21:40:14-180202 cadet-per-22259 DEBUG Got 472 byte HELLO for peer P(A10V)
Feb 18 21:40:14-210029 cadet-cor-22259 DEBUG CORE connection to peer RH83 was established.
Feb 18 21:40:14-210078 cadet-per-22259 DEBUG Creating peer P(RH83)
Feb 18 21:40:14-210100 cadet-per-22259 DEBUG Message queue for peer P(RH83) is now 0x6f5610
Feb 18 21:40:14-210122 cadet-per-22259 DEBUG Updating peer P(RH83) activation state (0 connections) with CORE link
Feb 18 21:40:14-213642 nat-22280 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Feb 18 21:40:14-257254 cadet-hll-22259 DEBUG Hello for A10V (472 bytes), expires on Sun Feb 19 09:40:14 2017
Feb 18 21:40:14-257294 cadet-per-22259 DEBUG Got 472 byte HELLO for peer P(A10V)
Feb 18 21:40:14-258115 cadet-hll-22259 DEBUG Hello for A10V (472 bytes), expires on Sun Feb 19 09:40:14 2017
Feb 18 21:40:14-258141 cadet-per-22259 DEBUG Got 472 byte HELLO for peer P(A10V)
Feb 18 21:40:14-303173 cadet-hll-22259 DEBUG Hello for A10V (472 bytes), expires on Sun Feb 19 09:40:14 2017
Feb 18 21:40:14-303214 cadet-per-22259 DEBUG Got 472 byte HELLO for peer P(A10V)
Feb 18 21:40:14-305121 cadet-hll-22259 DEBUG Hello for A10V (472 bytes), expires on Sun Feb 19 09:40:14 2017
Feb 18 21:40:14-305150 cadet-per-22259 DEBUG Got 472 byte HELLO for peer P(A10V)
Feb 18 21:40:14-319051 cadet-dht-22259 DEBUG Announcing my HELLO (472 bytes) in the DHT
Feb 18 21:40:15-285483 cadet-22259 DEBUG Client(2) connected
Feb 18 21:40:15-285812 cadet-22259 DEBUG Open port PR96BHN5 requested by Client(2)
Feb 18 21:40:40-343517 cadet-cor-22259 DEBUG CORE connection to peer A10V was established.
Feb 18 21:40:40-343586 cadet-per-22259 DEBUG Message queue for peer P(A10V) is now 0x6f6160
Feb 18 21:40:40-343607 cadet-per-22259 DEBUG Updating peer P(A10V) activation state (0 connections) with CORE link
Feb 18 21:40:40-388802 cadet-cor-22259 DEBUG Received CADET_CONNECTION_CREATE message from P(A10V) for connection T3JWZ3, building inverse path
Feb 18 21:40:40-388839 cadet-per-22259 DEBUG Asked to look for paths at distance 0, but maximum for me is < 0
Feb 18 21:40:40-388864 cadet-per-22259 DEBUG Discovered that peer P(A10V) is on path A10V(0x6e3e90) at offset 0
Feb 18 21:40:40-388888 cadet-pat-22259 DEBUG Created new path A10V(0x6e3e90) to create inverse for incoming connection
Feb 18 21:40:40-388910 cadet-per-22259 DEBUG Attaching path A10V(0x6e3e90) to peer P(A10V) (forced)
Feb 18 21:40:40-388932 cadet-tun-22259 DEBUG Creating new ephemeral ratchet key (DHRs)
Feb 18 21:40:40-397013 cadet-per-22259 DEBUG Updating peer P(A10V) activation state (0 connections) with tunnel with CORE link
Feb 18 21:40:40-401625 cadet-con-22259 DEBUG Creating Connection T3JWZ3 (Tunnel A10V) using path A10V(0x6e3e90)
Feb 18 21:40:40-401672 cadet-pat-22259 DEBUG Adding connection Connection T3JWZ3 (Tunnel A10V) to path A10V(0x6e3e90) at offset 0
Feb 18 21:40:40-401719 cadet-per-22259 DEBUG Creating MQM 0x6f6820 for peer P(A10V)
Feb 18 21:40:40-401761 cadet-con-22259 DEBUG Core MQ for Connection T3JWZ3 (Tunnel A10V) became available in state 3
Feb 18 21:40:40-401809 cadet-tun-22259 DEBUG Tunnel A10V has new Connection T3JWZ3 (Tunnel A10V)
Feb 18 21:40:40-402005 cadet-cor-22259 DEBUG Received duplicate CADET_CONNECTION_CREATE message on connection T3JWZ3
Feb 18 21:40:40-402062 cadet-con-22259 DEBUG Got duplicate CREATE for Connection T3JWZ3 (Tunnel A10V), scheduling another ACK (MQM ready)
Feb 18 21:40:40-402111 cadet-tun-22259 DEBUG Performing connection maintenance for Tunnel A10V.
Feb 18 21:40:40-402155 cadet-per-22259 DEBUG Iterating over paths to peer P(A10V) including direct link
Feb 18 21:40:40-402200 cadet-pat-22259 DEBUG check_match found match with path A10V(0x6e3e90)
Feb 18 21:40:40-402237 cadet-pat-22259 DEBUG Returning existing path A10V(0x6e3e90) as inverse for incoming connection
Feb 18 21:40:40-402276 cadet-tun-22259 DEBUG Ignoring duplicate path A10V(0x6e3e90).
Feb 18 21:40:40-402313 cadet-tun-22259 DEBUG Ignoring duplicate path A10V(0x6e3e90).
Feb 18 21:40:40-402366 cadet-cor-22259 DEBUG Received duplicate CADET_CONNECTION_CREATE message on connection T3JWZ3
Feb 18 21:40:40-402404 cadet-con-22259 DEBUG Got duplicate CREATE for Connection T3JWZ3 (Tunnel A10V), scheduling another ACK (MQM ready)
Feb 18 21:40:40-402458 cadet-cor-22259 DEBUG Received duplicate CADET_CONNECTION_CREATE message on connection T3JWZ3
Feb 18 21:40:40-402495 cadet-con-22259 DEBUG Got duplicate CREATE for Connection T3JWZ3 (Tunnel A10V), scheduling another ACK (MQM ready)
Feb 18 21:40:40-402550 cadet-con-22259 DEBUG Sending CONNECTION_CREATE_ACK message for Connection T3JWZ3 (Tunnel A10V)
Feb 18 21:40:40-402589 cadet-per-22259 DEBUG Queueing message to peer P(A10V) in MQM 0x6f6820
Feb 18 21:40:40-402632 cadet-per-22259 DEBUG Sending to peer P(A10V) from MQM 0x6f6820
Feb 18 21:40:40-402679 cadet-tun-22259 DEBUG Connection T3JWZ3 (Tunnel A10V) now ready for Tunnel A10V in state CADET_TUNNEL_KEY_UNINITIALIZED
Feb 18 21:40:40-402719 cadet-con-22259 DEBUG Core MQ for Connection T3JWZ3 (Tunnel A10V) became available in state 4
Feb 18 21:40:40-402767 cadet-con-22259 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel A10V) in 5 m
Feb 18 21:40:40-402973 cadet-per-22259 DEBUG Sending to peer P(A10V) completed
Feb 18 21:40:40-420207 cadet-cor-22259 DEBUG Received duplicate CADET_CONNECTION_CREATE message on connection T3JWZ3
Feb 18 21:40:40-420269 cadet-con-22259 DEBUG Got duplicate CREATE for Connection T3JWZ3 (Tunnel A10V), scheduling another ACK (MQM ready)
Feb 18 21:40:40-420321 cadet-tun-22259 DEBUG Connection T3JWZ3 (Tunnel A10V) no longer ready for Tunnel A10V
Feb 18 21:40:40-420376 cadet-con-22259 DEBUG Sending CONNECTION_CREATE_ACK message for Connection T3JWZ3 (Tunnel A10V)
Feb 18 21:40:40-420414 cadet-per-22259 DEBUG Queueing message to peer P(A10V) in MQM 0x6f6820
Feb 18 21:40:40-420452 cadet-per-22259 DEBUG Sending to peer P(A10V) from MQM 0x6f6820
Feb 18 21:40:40-420493 cadet-tun-22259 DEBUG Connection T3JWZ3 (Tunnel A10V) now ready for Tunnel A10V in state CADET_TUNNEL_KEY_UNINITIALIZED
Feb 18 21:40:40-420537 cadet-con-22259 DEBUG Core MQ for Connection T3JWZ3 (Tunnel A10V) became available in state 4
Feb 18 21:40:40-420576 cadet-con-22259 DEBUG Scheduling keepalive for Connection T3JWZ3 (Tunnel A10V) in 5 m
Feb 18 21:40:40-420750 cadet-per-22259 DEBUG Sending to peer P(A10V) completed
Feb 18 21:40:40-434357 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:40:40-434422 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:40:40-949425 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:40:40-949720 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:40:41-345506 cadet-22259 DEBUG New channel to A10V at port X4QX93K5 requested by Client(1)
Feb 18 21:40:41-345822 cadet-tun-22259 DEBUG Adding Channel A10V:X4QX93K5 ctn:0(80000000/0) to Tunnel A10V
Feb 18 21:40:41-345921 cadet-chn-22259 DEBUG Created channel to port X4QX93K5 at peer P(A10V) for Client(1) using Tunnel A10V
Feb 18 21:40:41-946281 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:40:41-946414 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:40:43-957755 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:40:43-957823 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:40:47-964606 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:40:47-964685 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:40:55-975870 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:40:55-975971 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:41:11-991726 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:41:11-991799 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:41:40-414242 cadet-tun-22259 DEBUG Performing connection maintenance for Tunnel A10V.
Feb 18 21:41:40-414329 cadet-per-22259 DEBUG Iterating over paths to peer P(A10V) including direct link
Feb 18 21:41:40-414353 cadet-pat-22259 DEBUG check_match found match with path A10V(0x6e3e90)
Feb 18 21:41:40-414374 cadet-pat-22259 DEBUG Returning existing path A10V(0x6e3e90) as inverse for incoming connection
Feb 18 21:41:40-414394 cadet-tun-22259 DEBUG Ignoring duplicate path A10V(0x6e3e90).
Feb 18 21:41:40-414412 cadet-tun-22259 DEBUG Ignoring duplicate path A10V(0x6e3e90).
Feb 18 21:41:44-024733 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:41:44-024795 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:42:40-429218 cadet-tun-22259 DEBUG Performing connection maintenance for Tunnel A10V.
Feb 18 21:42:40-429327 cadet-per-22259 DEBUG Iterating over paths to peer P(A10V) including direct link
Feb 18 21:42:40-429365 cadet-pat-22259 DEBUG check_match found match with path A10V(0x6e3e90)
Feb 18 21:42:40-429400 cadet-pat-22259 DEBUG Returning existing path A10V(0x6e3e90) as inverse for incoming connection
Feb 18 21:42:40-429433 cadet-tun-22259 DEBUG Ignoring duplicate path A10V(0x6e3e90).
Feb 18 21:42:40-429464 cadet-tun-22259 DEBUG Ignoring duplicate path A10V(0x6e3e90).
Feb 18 21:42:48-096207 cadet-tun-22259 DEBUG Tunnel A10V received 188 bytes of encrypted data in state 0
Feb 18 21:42:48-096291 cadet-22259 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3012.
Feb 18 21:43:40-478578 cadet-tun-22259 DEBUG Performing connection maintenance for Tunnel A10V.
Feb 18 21:43:40-478666 cadet-per-22259 DEBUG Iterating over paths to peer P(A10V) including direct link
Feb 18 21:43:40-478691 cadet-pat-22259 DEBUG check_match found match with path A10V(0x6e3e90)
Feb 18 21:43:40-478713 cadet-pat-22259 DEBUG Returning existing path A10V(0x6e3e90) as inverse for incoming connection
Feb 18 21:43:40-478739 cadet-tun-22259 DEBUG Ignoring duplicate path A10V(0x6e3e90).
Feb 18 21:43:40-478758 cadet-tun-22259 DEBUG Ignoring duplicate path A10V(0x6e3e90).
gnunet-arm -e
* Lost NATed local address 10.11.10.1, stopping NAT server
Feb 18 21:44:03-671372 cadet-22259 DEBUG Client(2) is disconnecting.
Feb 18 21:44:03-671419 cadet-22259 DEBUG Closing port PR96BHN5 due to Client(2) disconnect.
Feb 18 21:44:03-671455 cadet-22259 DEBUG Client(1) is disconnecting.
Feb 18 21:44:03-671479 cadet-22259 DEBUG Destroying Channel A10V:X4QX93K5 ctn:8(80000000/0), due to Client(1) disconnecting.
Feb 18 21:44:03-671504 cadet-chn-22259 DEBUG Client(1) asks for destruction of Channel A10V:X4QX93K5 ctn:8(80000000/0)
Feb 18 21:44:03-671529 cadet-tun-22259 DEBUG Removing Channel A10V:X4QX93K5 ctn:8(0/0) from Tunnel A10V
Feb 18 21:44:03-671553 cadet-22259 DEBUG Closing port X4QX93K5 due to Client(1) disconnect.
Feb 18 21:44:03-671576 cadet-22259 DEBUG Client(0) is disconnecting.
Feb 18 21:44:03-671603 cadet-22259 DEBUG Shutting down
Feb 18 21:44:03-671629 cadet-cor-22259 DEBUG CORE connection to peer RH83 went down.
Feb 18 21:44:03-671648 cadet-per-22259 DEBUG Message queue for peer P(RH83) is now (nil)
Feb 18 21:44:03-671672 cadet-cor-22259 DEBUG CORE connection to peer A10V went down.
Feb 18 21:44:03-671689 cadet-per-22259 DEBUG Message queue for peer P(A10V) is now (nil)
Feb 18 21:44:03-671712 cadet-con-22259 DEBUG Core MQ for Connection T3JWZ3 (Tunnel A10V) went down
Feb 18 21:44:03-671732 cadet-tun-22259 DEBUG Connection T3JWZ3 (Tunnel A10V) no longer ready for Tunnel A10V
Feb 18 21:44:03-671752 cadet-per-22259 DEBUG Updating peer P(A10V) activation state (0 connections) with tunnel
Feb 18 21:44:03-671783 cadet-dht-22259 DEBUG Starting DHT GET for peer A10V (0x6f6950)
Feb 18 21:44:03-671834 cadet-22259 DEBUG Cleaning all up
Feb 18 21:44:03-671868 cadet-tun-22259 DEBUG Destroying idle Tunnel A10V
Feb 18 21:44:03-671890 cadet-per-22259 DEBUG Destroying MQM 0x6f6820 for peer P(A10V) with last ditch transmission
Feb 18 21:44:03-671910 cadet-con-22259 DEBUG Destroying Connection T3JWZ3
Feb 18 21:44:03-671931 cadet-pat-22259 DEBUG Removing connection Connection T3JWZ3 to path A10V(0x6e3e90) at offset 0
Feb 18 21:44:03-671954 cadet-per-22259 DEBUG Dropping tunnel Tunnel A10V to peer P(A10V)
Feb 18 21:44:03-671980 cadet-per-22259 DEBUG Destroying all paths to P(A10V)
Feb 18 21:44:03-671954 cadet-api-22263 DEBUG CADET DISCONNECT
Feb 18 21:44:03-672002 cadet-pat-22259 DEBUG Owner releases path A10V(0x6e3e90)
Feb 18 21:44:03-672024 cadet-per-22259 DEBUG Removing knowledge about peer P(A10V) beging on path A10V(0x6e3e90) at offset 0
Feb 18 21:44:03-672042 cadet-pat-22259 DEBUG Destroying path (0x6e3e90)
Feb 18 21:44:03-672060 cadet-per-22259 DEBUG Destroying all paths to P(RH83)
Feb 18 21:44:03-672078 cadet-per-22259 DEBUG Destroying all peers now
Feb 18 21:44:03-672097 cadet-per-22259 DEBUG Destroying state about peer P(A10V)
Feb 18 21:44:03-672116 cadet-dht-22259 DEBUG Stopping DHT GET 0x6f6950
Feb 18 21:44:03-672139 cadet-per-22259 DEBUG Destroying state about peer P(RH83)
Feb 18 21:44:03-673990 cadet-api-22269 DEBUG Destroying channel 80 of 0xfd2290
20160218.2.listening.txt (14,238 bytes)

Christian Grothoff

2017-02-19 00:28

manager   ~0011786

Please try 6f8fabef0..5afc3372a

lurchi

2017-02-20 16:41

developer   ~0011795

Now I'm getting "External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3138."

Not sure if this is still the same problem. New logs attached.

20160220.connecting.txt (19,936 bytes)
Feb 20 16:32:59-323949 cadet-23397 DEBUG Client(3) connected
Feb 20 16:32:59-324251 cadet-23397 DEBUG New channel to W4JC at port PR96BHN5 requested by Client(3)
Feb 20 16:32:59-324287 cadet-tun-23397 DEBUG Adding Channel W4JC:PR96BHN5 ctn:0(80000000/0) to Tunnel W4JC
Feb 20 16:32:59-324309 cadet-chn-23397 DEBUG Tunnel up, sending CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:0(80000000/0) now
Feb 20 16:32:59-324338 cadet-chn-23397 DEBUG Created channel to port PR96BHN5 at peer P(W4JC) for Client(3) using Tunnel W4JC
Feb 20 16:32:59-324382 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:32:59-324401 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:32:59-328234 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:32:59-328289 cadet-con-23397 DEBUG Scheduling message for transmission on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:32:59-328331 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0910
Feb 20 16:32:59-328372 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0910
Feb 20 16:32:59-328417 cadet-tun-23397 DEBUG Connection D0HEMY (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:32:59-328459 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection D0HEMY (Tunnel W4JC) (nothing pending)
Feb 20 16:32:59-328500 cadet-con-23397 DEBUG Core MQ for Connection D0HEMY (Tunnel W4JC) became available in state 4
Feb 20 16:32:59-328543 cadet-con-23397 DEBUG Scheduling keepalive for Connection D0HEMY (Tunnel W4JC) in 5 m
Feb 20 16:32:59-328588 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 500 ms
Feb 20 16:32:59-328784 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:32:59-829222 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:32:59-829533 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:32:59-834801 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:32:59-835001 cadet-con-23397 DEBUG Scheduling message for transmission on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:32:59-835188 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0910
Feb 20 16:32:59-835410 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0910
Feb 20 16:32:59-835580 cadet-tun-23397 DEBUG Connection D0HEMY (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:32:59-835750 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection D0HEMY (Tunnel W4JC) (nothing pending)
Feb 20 16:32:59-835918 cadet-con-23397 DEBUG Core MQ for Connection D0HEMY (Tunnel W4JC) became available in state 4
Feb 20 16:32:59-836086 cadet-con-23397 DEBUG Scheduling keepalive for Connection D0HEMY (Tunnel W4JC) in 5 m
Feb 20 16:32:59-836259 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 1 s
Feb 20 16:32:59-836593 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:00-836649 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:33:00-836747 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:33:00-843142 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:33:00-843181 cadet-con-23397 DEBUG Scheduling message for transmission on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:33:00-843219 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0910
Feb 20 16:33:00-843291 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0910
Feb 20 16:33:00-843411 cadet-tun-23397 DEBUG Connection D0HEMY (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:33:00-843482 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection D0HEMY (Tunnel W4JC) (nothing pending)
Feb 20 16:33:00-843548 cadet-con-23397 DEBUG Core MQ for Connection D0HEMY (Tunnel W4JC) became available in state 4
Feb 20 16:33:00-843621 cadet-con-23397 DEBUG Scheduling keepalive for Connection D0HEMY (Tunnel W4JC) in 5 m
Feb 20 16:33:00-843696 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 2 s
Feb 20 16:33:00-844015 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:02-845908 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:33:02-846065 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:33:02-852725 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:33:02-852814 cadet-con-23397 DEBUG Scheduling message for transmission on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:33:02-852888 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0910
Feb 20 16:33:02-852957 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0910
Feb 20 16:33:02-853044 cadet-tun-23397 DEBUG Connection D0HEMY (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:33:02-853116 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection D0HEMY (Tunnel W4JC) (nothing pending)
Feb 20 16:33:02-853186 cadet-con-23397 DEBUG Core MQ for Connection D0HEMY (Tunnel W4JC) became available in state 4
Feb 20 16:33:02-853267 cadet-con-23397 DEBUG Scheduling keepalive for Connection D0HEMY (Tunnel W4JC) in 5 m
Feb 20 16:33:02-853346 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 4 s
Feb 20 16:33:02-853679 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:06-857532 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:33:06-857611 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:33:06-861482 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:33:06-861506 cadet-con-23397 DEBUG Scheduling message for transmission on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:33:06-861529 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0910
Feb 20 16:33:06-861548 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0910
Feb 20 16:33:06-861573 cadet-tun-23397 DEBUG Connection D0HEMY (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:33:06-861595 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection D0HEMY (Tunnel W4JC) (nothing pending)
Feb 20 16:33:06-861614 cadet-con-23397 DEBUG Core MQ for Connection D0HEMY (Tunnel W4JC) became available in state 4
Feb 20 16:33:06-861635 cadet-con-23397 DEBUG Scheduling keepalive for Connection D0HEMY (Tunnel W4JC) in 5 m
Feb 20 16:33:06-861659 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 8 s
Feb 20 16:33:06-862029 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:14-867420 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:33:14-867522 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:33:14-873973 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:33:14-874014 cadet-con-23397 DEBUG Scheduling message for transmission on Connection D0HEMY (Tunnel W4JC)
Feb 20 16:33:14-874054 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0910
Feb 20 16:33:14-874085 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0910
Feb 20 16:33:14-874126 cadet-tun-23397 DEBUG Connection D0HEMY (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:33:14-874169 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection D0HEMY (Tunnel W4JC) (nothing pending)
Feb 20 16:33:14-874200 cadet-con-23397 DEBUG Core MQ for Connection D0HEMY (Tunnel W4JC) became available in state 4
Feb 20 16:33:14-874238 cadet-con-23397 DEBUG Scheduling keepalive for Connection D0HEMY (Tunnel W4JC) in 5 m
Feb 20 16:33:14-874280 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 16 s
Feb 20 16:33:14-874757 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:14-892424 cadet-cor-23397 DEBUG Received CONNECTION_BROKEN for connection D0HEMY. Destroying it.
Feb 20 16:33:14-892746 cadet-con-23397 DEBUG Destroying Connection D0HEMY
Feb 20 16:33:14-893017 cadet-per-23397 DEBUG Destroying MQM 0x1ee0910 for peer P(W4JC)
Feb 20 16:33:14-893287 cadet-pat-23397 DEBUG Removing connection Connection D0HEMY to path W4JC(0x1ee0050) at offset 0
Feb 20 16:33:30-890380 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:33:30-890656 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:33:47-869124 cadet-tun-23397 DEBUG Performing connection maintenance for Tunnel W4JC.
Feb 20 16:33:47-869230 cadet-per-23397 DEBUG Iterating over paths to peer P(W4JC) including direct link
Feb 20 16:33:47-869279 cadet-pat-23397 DEBUG check_match found match with path W4JC(0x1ee0050)
Feb 20 16:33:47-869325 cadet-pat-23397 DEBUG Returning existing path W4JC(0x1ee0050) as inverse for incoming connection
Feb 20 16:33:47-869380 cadet-con-23397 DEBUG Creating Connection Z6RT7C (Tunnel W4JC) using path W4JC(0x1ee0050)
Feb 20 16:33:47-869415 cadet-pat-23397 DEBUG Adding connection Connection Z6RT7C (Tunnel W4JC) to path W4JC(0x1ee0050) at offset 0
Feb 20 16:33:47-869449 cadet-per-23397 DEBUG Creating MQM 0x1ee0870 for peer P(W4JC)
Feb 20 16:33:47-869482 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 0
Feb 20 16:33:47-869524 cadet-tun-23397 DEBUG Found interesting path W4JC(0x1ee0050) for Tunnel W4JC, created Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:47-869556 cadet-tun-23397 DEBUG Ignoring duplicate path W4JC(0x1ee0050).
Feb 20 16:33:47-869614 cadet-con-23397 DEBUG Sending CADET_CONNECTION_CREATE message for Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:47-869646 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0870
Feb 20 16:33:47-869677 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0870
Feb 20 16:33:47-869714 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 2
Feb 20 16:33:47-870076 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:47-871864 cadet-con-23397 DEBUG Sending CADET_CONNECTION_CREATE message for Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:47-871913 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0870
Feb 20 16:33:47-871944 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0870
Feb 20 16:33:47-871979 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 2
Feb 20 16:33:47-872279 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:47-876633 cadet-con-23397 DEBUG Sending CADET_CONNECTION_CREATE message for Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:47-876681 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0870
Feb 20 16:33:47-876711 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0870
Feb 20 16:33:47-876747 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 2
Feb 20 16:33:47-877037 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:47-884944 cadet-con-23397 DEBUG Sending CADET_CONNECTION_CREATE message for Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:47-885003 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0870
Feb 20 16:33:47-885035 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0870
Feb 20 16:33:47-885072 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 2
Feb 20 16:33:47-885382 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:47-896905 cadet-cor-23397 DEBUG Received CONNECTION_CREATE_ACK for connection Z6RT7C.
Feb 20 16:33:47-897219 cadet-con-23397 DEBUG Received CADET_CONNECTION_CREATE_ACK for Connection Z6RT7C (Tunnel W4JC) in state 2 (MQM ready)
Feb 20 16:33:47-897411 cadet-tun-23397 DEBUG Connection Z6RT7C (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:33:47-897482 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:47-897553 cadet-con-23397 DEBUG Scheduling message for transmission on Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:47-897624 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0870
Feb 20 16:33:47-897687 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0870
Feb 20 16:33:47-897812 cadet-tun-23397 DEBUG Connection Z6RT7C (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:33:47-897884 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection Z6RT7C (Tunnel W4JC) (nothing pending)
Feb 20 16:33:47-897961 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 4
Feb 20 16:33:47-898030 cadet-con-23397 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W4JC) in 5 m
Feb 20 16:33:47-898107 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 32 s
Feb 20 16:33:47-898492 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:33:47-901842 cadet-cor-23397 DEBUG Received CONNECTION_CREATE_ACK for connection Z6RT7C.
Feb 20 16:33:47-902131 cadet-con-23397 DEBUG Received CADET_CONNECTION_CREATE_ACK for Connection Z6RT7C (Tunnel W4JC) in state 4 (MQM ready)
Feb 20 16:33:47-911228 cadet-cor-23397 DEBUG Received CONNECTION_CREATE_ACK for connection Z6RT7C.
Feb 20 16:33:47-911576 cadet-con-23397 DEBUG Received CADET_CONNECTION_CREATE_ACK for Connection Z6RT7C (Tunnel W4JC) in state 4 (MQM ready)
Feb 20 16:33:47-923158 cadet-tun-23397 DEBUG Creating fresh unverified KX for Tunnel W4JC.
Feb 20 16:33:48-435795 cadet-tun-23397 DEBUG Got duplicate unverified KX on Tunnel W4JC. Fire back KX_AUTH again.
Feb 20 16:33:48-435903 cadet-tun-23397 DEBUG Sending KX_AUTH on Tunnel W4JC using Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:48-445261 cadet-con-23397 DEBUG Scheduling message for transmission on Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:33:48-445345 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0870
Feb 20 16:33:48-445409 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0870
Feb 20 16:33:48-445480 cadet-tun-23397 DEBUG Connection Z6RT7C (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:33:48-445548 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection Z6RT7C (Tunnel W4JC) (nothing pending)
Feb 20 16:33:48-445613 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 4
Feb 20 16:33:48-445680 cadet-con-23397 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W4JC) in 5 m
Feb 20 16:33:48-445950 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:34:19-913518 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:34:19-913586 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:34:19-917381 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:34:19-917402 cadet-con-23397 DEBUG Scheduling message for transmission on Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:34:19-917428 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0870
Feb 20 16:34:19-917446 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0870
Feb 20 16:34:19-917472 cadet-tun-23397 DEBUG Connection Z6RT7C (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:34:19-917493 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection Z6RT7C (Tunnel W4JC) (nothing pending)
Feb 20 16:34:19-917513 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 4
Feb 20 16:34:19-917536 cadet-con-23397 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W4JC) in 5 m
Feb 20 16:34:19-917560 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 64 s
Feb 20 16:34:19-917894 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:34:47-873374 cadet-tun-23397 DEBUG Performing connection maintenance for Tunnel W4JC.
Feb 20 16:34:47-873488 cadet-per-23397 DEBUG Iterating over paths to peer P(W4JC) including direct link
Feb 20 16:34:47-873526 cadet-pat-23397 DEBUG check_match found match with path W4JC(0x1ee0050)
Feb 20 16:34:47-873560 cadet-pat-23397 DEBUG Returning existing path W4JC(0x1ee0050) as inverse for incoming connection
Feb 20 16:34:47-873592 cadet-tun-23397 DEBUG Ignoring duplicate path W4JC(0x1ee0050).
Feb 20 16:34:47-873623 cadet-tun-23397 DEBUG Ignoring duplicate path W4JC(0x1ee0050).
Feb 20 16:35:23-932508 cadet-chn-23397 DEBUG Sending CHANNEL_OPEN message for Channel W4JC:PR96BHN5 ctn:2000000(80000000/0)
Feb 20 16:35:23-932583 cadet-tun-23397 DEBUG Encrypting 76 bytes for Tunnel W4JC
Feb 20 16:35:23-936485 cadet-tun-23397 DEBUG Sending payload of Tunnel W4JC on Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:35:23-936509 cadet-con-23397 DEBUG Scheduling message for transmission on Connection Z6RT7C (Tunnel W4JC)
Feb 20 16:35:23-936533 cadet-per-23397 DEBUG Queueing message to peer P(W4JC) in MQM 0x1ee0870
Feb 20 16:35:23-936553 cadet-per-23397 DEBUG Sending to peer P(W4JC) from MQM 0x1ee0870
Feb 20 16:35:23-936579 cadet-tun-23397 DEBUG Connection Z6RT7C (Tunnel W4JC) now ready for Tunnel W4JC in state CADET_TUNNEL_KEY_OK
Feb 20 16:35:23-936600 cadet-tun-23397 DEBUG Not sending payload of Tunnel W4JC on ready Connection Z6RT7C (Tunnel W4JC) (nothing pending)
Feb 20 16:35:23-936620 cadet-con-23397 DEBUG Core MQ for Connection Z6RT7C (Tunnel W4JC) became available in state 4
Feb 20 16:35:23-936643 cadet-con-23397 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W4JC) in 5 m
Feb 20 16:35:23-936668 cadet-chn-23397 DEBUG Sent CADET_CHANNEL_OPEN on Channel W4JC:PR96BHN5 ctn:2000000(80000000/0), retrying in 128 s
Feb 20 16:35:23-937000 cadet-per-23397 DEBUG Sending to peer P(W4JC) completed
Feb 20 16:35:47-895363 cadet-tun-23397 DEBUG Performing connection maintenance for Tunnel W4JC.
Feb 20 16:35:47-895449 cadet-per-23397 DEBUG Iterating over paths to peer P(W4JC) including direct link
Feb 20 16:35:47-895473 cadet-pat-23397 DEBUG check_match found match with path W4JC(0x1ee0050)
Feb 20 16:35:47-895491 cadet-pat-23397 DEBUG Returning existing path W4JC(0x1ee0050) as inverse for incoming connection
Feb 20 16:35:47-895513 cadet-tun-23397 DEBUG Ignoring duplicate path W4JC(0x1ee0050).
Feb 20 16:35:47-895530 cadet-tun-23397 DEBUG Ignoring duplicate path W4JC(0x1ee0050).
Feb 20 16:36:45-770974 cadet-hll-23397 DEBUG Hello for W4JC (472 bytes), expires on Tue Feb 21 04:36:45 2017
Feb 20 16:36:45-771048 cadet-per-23397 DEBUG Got 472 byte HELLO for peer P(W4JC)
Feb 20 16:36:47-897867 cadet-tun-23397 DEBUG Performing connection maintenance for Tunnel W4JC.
Feb 20 16:36:47-897991 cadet-per-23397 DEBUG Iterating over paths to peer P(W4JC) including direct link
Feb 20 16:36:47-898032 cadet-pat-23397 DEBUG check_match found match with path W4JC(0x1ee0050)
Feb 20 16:36:47-898069 cadet-pat-23397 DEBUG Returning existing path W4JC(0x1ee0050) as inverse for incoming connection
Feb 20 16:36:47-898104 cadet-tun-23397 DEBUG Ignoring duplicate path W4JC(0x1ee0050).
Feb 20 16:36:47-898137 cadet-tun-23397 DEBUG Ignoring duplicate path W4JC(0x1ee0050).
20160220.connecting.txt (19,936 bytes)

lurchi

2017-02-20 16:41

developer   ~0011796

.

20160220.listening.txt (14,313 bytes)
Feb 20 16:32:57-124842 cadet-9478 INFO CADET started for peer W4JC
Feb 20 16:32:57-173863 cadet-api-9483 DEBUG GNUNET_CADET_connecT()
Feb 20 16:32:57-190398 cadet-9478 DEBUG Client(0) connected
Feb 20 16:32:57-192259 cadet-9478 DEBUG Open port X4QX93K5 requested by Client(0)
Feb 20 16:32:57-209494 cadet-api-9486 DEBUG GNUNET_CADET_connect() 0x7b8bb0
Feb 20 16:32:57-218094 cadet-api-9486 DEBUG Connecting to CADET
Feb 20 16:32:57-220120 cadet-9478 DEBUG Client(1) connected
Feb 20 16:32:57-222999 cadet-hll-9478 DEBUG Hello for W2KF (472 bytes), expires on Tue Feb 21 04:29:33 2017
Feb 20 16:32:57-223084 cadet-per-9478 DEBUG Creating peer P(W2KF)
Feb 20 16:32:57-223120 cadet-per-9478 DEBUG Got 472 byte HELLO for peer P(W2KF)
Feb 20 16:32:57-275305 cadet-cor-9478 DEBUG CORE connection to peer W4JC was established.
Feb 20 16:32:57-275396 cadet-per-9478 DEBUG Creating peer P(W4JC)
Feb 20 16:32:57-275433 cadet-per-9478 DEBUG Message queue for peer P(W4JC) is now 0xd95ad0
Feb 20 16:32:57-275469 cadet-per-9478 DEBUG Updating peer P(W4JC) activation state (0 connections) with CORE link
Feb 20 16:32:57-286852 nat-9497 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Feb 20 16:32:57-312587 cadet-hll-9478 DEBUG Hello for W2KF (472 bytes), expires on Tue Feb 21 04:32:57 2017
Feb 20 16:32:57-312654 cadet-per-9478 DEBUG Got 472 byte HELLO for peer P(W2KF)
Feb 20 16:32:57-321648 cadet-dht-9478 DEBUG Announcing my HELLO (472 bytes) in the DHT
Feb 20 16:32:57-348233 cadet-hll-9478 DEBUG Hello for W2KF (472 bytes), expires on Tue Feb 21 04:32:57 2017
Feb 20 16:32:57-348280 cadet-per-9478 DEBUG Got 472 byte HELLO for peer P(W2KF)
Feb 20 16:32:57-349963 cadet-hll-9478 DEBUG Hello for W2KF (472 bytes), expires on Tue Feb 21 04:32:57 2017
Feb 20 16:32:57-350009 cadet-per-9478 DEBUG Got 472 byte HELLO for peer P(W2KF)
Feb 20 16:32:57-454219 cadet-dht-9478 DEBUG Announcing my HELLO (472 bytes) in the DHT
Feb 20 16:32:58-388479 cadet-cor-9478 DEBUG CORE connection to peer W2KF was established.
Feb 20 16:32:58-388575 cadet-per-9478 DEBUG Message queue for peer P(W2KF) is now 0xd95d90
Feb 20 16:32:58-388611 cadet-per-9478 DEBUG Updating peer P(W2KF) activation state (0 connections) with CORE link
Feb 20 16:32:58-713317 cadet-9478 DEBUG Client(2) connected
Feb 20 16:32:58-713872 cadet-9478 DEBUG Open port PR96BHN5 requested by Client(2)
Feb 20 16:32:59-352268 cadet-cor-9478 DEBUG Failed to route message of type 1008 from P(W2KF) on connection D0HEMY: no route
Feb 20 16:32:59-352364 cadet-per-9478 DEBUG Sending message to P(W2KF) out of management
Feb 20 16:32:59-858123 cadet-cor-9478 DEBUG Failed to route message of type 1008 from P(W2KF) on connection D0HEMY: no route
Feb 20 16:32:59-858194 cadet-per-9478 DEBUG Sending message to P(W2KF) out of management
Feb 20 16:33:00-866712 cadet-cor-9478 DEBUG Failed to route message of type 1008 from P(W2KF) on connection D0HEMY: no route
Feb 20 16:33:00-866816 cadet-per-9478 DEBUG Sending message to P(W2KF) out of management
Feb 20 16:33:02-092939 core-9482 WARNING Client waited 3703 ms for permission to transmit to `W2KF' (priority 1)
Feb 20 16:33:02-093536 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:02-093830 core-9482 WARNING Client waited 3703 ms for transmission of 348 bytes to `W2KF' (uncorked)
Feb 20 16:33:02-097331 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:02-099235 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:02-879089 cadet-cor-9478 DEBUG Failed to route message of type 1008 from P(W2KF) on connection D0HEMY: no route
Feb 20 16:33:02-879156 cadet-per-9478 DEBUG Sending message to P(W2KF) out of management
Feb 20 16:33:02-879435 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:06-879678 cadet-cor-9478 DEBUG Failed to route message of type 1008 from P(W2KF) on connection D0HEMY: no route
Feb 20 16:33:06-879755 cadet-per-9478 DEBUG Sending message to P(W2KF) out of management
Feb 20 16:33:06-880025 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:14-888953 cadet-cor-9478 DEBUG Failed to route message of type 1008 from P(W2KF) on connection D0HEMY: no route
Feb 20 16:33:14-889046 cadet-per-9478 DEBUG Sending message to P(W2KF) out of management
Feb 20 16:33:14-889321 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:47-884452 cadet-cor-9478 DEBUG Received CADET_CONNECTION_CREATE message from P(W2KF) for connection Z6RT7C, building inverse path
Feb 20 16:33:47-884528 cadet-per-9478 DEBUG Asked to look for paths at distance 0, but maximum for me is < 0
Feb 20 16:33:47-884553 cadet-per-9478 DEBUG Discovered that peer P(W2KF) is on path W2KF(0xd7f690) at offset 0
Feb 20 16:33:47-884580 cadet-pat-9478 DEBUG Created new path W2KF(0xd7f690) to create inverse for incoming connection
Feb 20 16:33:47-884602 cadet-per-9478 DEBUG Attaching path W2KF(0xd7f690) to peer P(W2KF) (forced)
Feb 20 16:33:47-884625 cadet-tun-9478 DEBUG Creating new ephemeral ratchet key (DHRs)
Feb 20 16:33:47-893587 cadet-per-9478 DEBUG Updating peer P(W2KF) activation state (0 connections) with tunnel with CORE link
Feb 20 16:33:47-893665 cadet-con-9478 DEBUG Creating Connection Z6RT7C (Tunnel W2KF) using path W2KF(0xd7f690)
Feb 20 16:33:47-893710 cadet-pat-9478 DEBUG Adding connection Connection Z6RT7C (Tunnel W2KF) to path W2KF(0xd7f690) at offset 0
Feb 20 16:33:47-893751 cadet-per-9478 DEBUG Creating MQM 0xd97e40 for peer P(W2KF)
Feb 20 16:33:47-893794 cadet-con-9478 DEBUG Core MQ for Connection Z6RT7C (Tunnel W2KF) became available in state 3
Feb 20 16:33:47-893837 cadet-tun-9478 DEBUG Tunnel W2KF has new Connection Z6RT7C (Tunnel W2KF)
Feb 20 16:33:47-894029 cadet-cor-9478 DEBUG Received duplicate CADET_CONNECTION_CREATE message on connection Z6RT7C
Feb 20 16:33:47-894079 cadet-con-9478 DEBUG Got duplicate CREATE for Connection Z6RT7C (Tunnel W2KF), scheduling another ACK (MQM ready)
Feb 20 16:33:47-894123 cadet-tun-9478 DEBUG Performing connection maintenance for Tunnel W2KF.
Feb 20 16:33:47-894177 cadet-per-9478 DEBUG Iterating over paths to peer P(W2KF) including direct link
Feb 20 16:33:47-894218 cadet-pat-9478 DEBUG check_match found match with path W2KF(0xd7f690)
Feb 20 16:33:47-894258 cadet-pat-9478 DEBUG Returning existing path W2KF(0xd7f690) as inverse for incoming connection
Feb 20 16:33:47-894297 cadet-tun-9478 DEBUG Ignoring duplicate path W2KF(0xd7f690).
Feb 20 16:33:47-894345 cadet-tun-9478 DEBUG Ignoring duplicate path W2KF(0xd7f690).
Feb 20 16:33:47-894399 cadet-con-9478 DEBUG Sending CONNECTION_CREATE_ACK message for Connection Z6RT7C (Tunnel W2KF)
Feb 20 16:33:47-894445 cadet-per-9478 DEBUG Queueing message to peer P(W2KF) in MQM 0xd97e40
Feb 20 16:33:47-894485 cadet-per-9478 DEBUG Sending to peer P(W2KF) from MQM 0xd97e40
Feb 20 16:33:47-894542 cadet-tun-9478 DEBUG Connection Z6RT7C (Tunnel W2KF) now ready for Tunnel W2KF in state CADET_TUNNEL_KEY_UNINITIALIZED
Feb 20 16:33:47-894587 cadet-con-9478 DEBUG Core MQ for Connection Z6RT7C (Tunnel W2KF) became available in state 4
Feb 20 16:33:47-894631 cadet-con-9478 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W2KF) in 5 m
Feb 20 16:33:47-894797 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:47-898926 cadet-cor-9478 DEBUG Received duplicate CADET_CONNECTION_CREATE message on connection Z6RT7C
Feb 20 16:33:47-898990 cadet-con-9478 DEBUG Got duplicate CREATE for Connection Z6RT7C (Tunnel W2KF), scheduling another ACK (MQM ready)
Feb 20 16:33:47-899034 cadet-tun-9478 DEBUG Connection Z6RT7C (Tunnel W2KF) no longer ready for Tunnel W2KF
Feb 20 16:33:47-899092 cadet-con-9478 DEBUG Sending CONNECTION_CREATE_ACK message for Connection Z6RT7C (Tunnel W2KF)
Feb 20 16:33:47-899139 cadet-per-9478 DEBUG Queueing message to peer P(W2KF) in MQM 0xd97e40
Feb 20 16:33:47-899178 cadet-per-9478 DEBUG Sending to peer P(W2KF) from MQM 0xd97e40
Feb 20 16:33:47-899232 cadet-tun-9478 DEBUG Connection Z6RT7C (Tunnel W2KF) now ready for Tunnel W2KF in state CADET_TUNNEL_KEY_UNINITIALIZED
Feb 20 16:33:47-899273 cadet-con-9478 DEBUG Core MQ for Connection Z6RT7C (Tunnel W2KF) became available in state 4
Feb 20 16:33:47-899317 cadet-con-9478 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W2KF) in 5 m
Feb 20 16:33:47-899476 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:47-908703 cadet-cor-9478 DEBUG Received duplicate CADET_CONNECTION_CREATE message on connection Z6RT7C
Feb 20 16:33:47-908766 cadet-con-9478 DEBUG Got duplicate CREATE for Connection Z6RT7C (Tunnel W2KF), scheduling another ACK (MQM ready)
Feb 20 16:33:47-908808 cadet-tun-9478 DEBUG Connection Z6RT7C (Tunnel W2KF) no longer ready for Tunnel W2KF
Feb 20 16:33:47-908865 cadet-con-9478 DEBUG Sending CONNECTION_CREATE_ACK message for Connection Z6RT7C (Tunnel W2KF)
Feb 20 16:33:47-908914 cadet-per-9478 DEBUG Queueing message to peer P(W2KF) in MQM 0xd97e40
Feb 20 16:33:47-908950 cadet-per-9478 DEBUG Sending to peer P(W2KF) from MQM 0xd97e40
Feb 20 16:33:47-908993 cadet-tun-9478 DEBUG Connection Z6RT7C (Tunnel W2KF) now ready for Tunnel W2KF in state CADET_TUNNEL_KEY_UNINITIALIZED
Feb 20 16:33:47-909039 cadet-con-9478 DEBUG Core MQ for Connection Z6RT7C (Tunnel W2KF) became available in state 4
Feb 20 16:33:47-909079 cadet-con-9478 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W2KF) in 5 m
Feb 20 16:33:47-909232 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:47-915182 cadet-tun-9478 DEBUG Tunnel W2KF received 188 bytes of encrypted data in state 0
Feb 20 16:33:47-915257 cadet-tun-9478 DEBUG Sending KX on Tunnel W2KF via Connection Z6RT7C (Tunnel W2KF) in state CADET_TUNNEL_KEY_UNINITIALIZED
Feb 20 16:33:47-920496 cadet-tun-9478 DEBUG Tunnel W2KF estate changed from CADET_TUNNEL_KEY_UNINITIALIZED to CADET_TUNNEL_KEY_AX_SENT
Feb 20 16:33:47-920546 cadet-con-9478 DEBUG Scheduling message for transmission on Connection Z6RT7C (Tunnel W2KF)
Feb 20 16:33:47-920593 cadet-per-9478 DEBUG Queueing message to peer P(W2KF) in MQM 0xd97e40
Feb 20 16:33:47-920635 cadet-per-9478 DEBUG Sending to peer P(W2KF) from MQM 0xd97e40
Feb 20 16:33:47-920676 cadet-tun-9478 DEBUG Connection Z6RT7C (Tunnel W2KF) now ready for Tunnel W2KF in state CADET_TUNNEL_KEY_AX_SENT
Feb 20 16:33:47-920729 cadet-con-9478 DEBUG Core MQ for Connection Z6RT7C (Tunnel W2KF) became available in state 4
Feb 20 16:33:47-920768 cadet-con-9478 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W2KF) in 5 m
Feb 20 16:33:47-921075 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:48-421148 cadet-tun-9478 DEBUG Trying to make KX progress on Tunnel W2KF in state CADET_TUNNEL_KEY_AX_SENT
Feb 20 16:33:48-421550 cadet-tun-9478 DEBUG Sending KX on Tunnel W2KF via Connection Z6RT7C (Tunnel W2KF) in state CADET_TUNNEL_KEY_AX_SENT
Feb 20 16:33:48-430683 cadet-con-9478 DEBUG Scheduling message for transmission on Connection Z6RT7C (Tunnel W2KF)
Feb 20 16:33:48-431019 cadet-per-9478 DEBUG Queueing message to peer P(W2KF) in MQM 0xd97e40
Feb 20 16:33:48-431277 cadet-per-9478 DEBUG Sending to peer P(W2KF) from MQM 0xd97e40
Feb 20 16:33:48-431524 cadet-tun-9478 DEBUG Connection Z6RT7C (Tunnel W2KF) now ready for Tunnel W2KF in state CADET_TUNNEL_KEY_AX_SENT
Feb 20 16:33:48-431763 cadet-con-9478 DEBUG Core MQ for Connection Z6RT7C (Tunnel W2KF) became available in state 4
Feb 20 16:33:48-432003 cadet-con-9478 DEBUG Scheduling keepalive for Connection Z6RT7C (Tunnel W2KF) in 5 m
Feb 20 16:33:48-432480 cadet-per-9478 DEBUG Sending to peer P(W2KF) completed
Feb 20 16:33:48-459876 cadet-tun-9478 DEBUG Handling KX_AUTH message for Tunnel W2KF
Feb 20 16:33:48-474866 cadet-tun-9478 DEBUG Tunnel W2KF estate changed from CADET_TUNNEL_KEY_AX_SENT to CADET_TUNNEL_KEY_OK
Feb 20 16:34:19-942178 cadet-tun-9478 DEBUG Tunnel W2KF received 188 bytes of encrypted data in state 5
Feb 20 16:34:19-942535 cadet-tun-9478 DEBUG Trying skipped keys
Feb 20 16:34:19-942566 cadet-9478 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3138.
Feb 20 16:34:19-942591 cadet-tun-9478 WARNING Tunnel W2KF failed to decrypt and validate encrypted data
Feb 20 16:34:47-905662 cadet-tun-9478 DEBUG Performing connection maintenance for Tunnel W2KF.
Feb 20 16:34:47-905730 cadet-per-9478 DEBUG Iterating over paths to peer P(W2KF) including direct link
Feb 20 16:34:47-905753 cadet-pat-9478 DEBUG check_match found match with path W2KF(0xd7f690)
Feb 20 16:34:47-905774 cadet-pat-9478 DEBUG Returning existing path W2KF(0xd7f690) as inverse for incoming connection
Feb 20 16:34:47-905795 cadet-tun-9478 DEBUG Ignoring duplicate path W2KF(0xd7f690).
Feb 20 16:34:47-905813 cadet-tun-9478 DEBUG Ignoring duplicate path W2KF(0xd7f690).
Feb 20 16:35:23-949649 cadet-tun-9478 DEBUG Tunnel W2KF received 188 bytes of encrypted data in state 5
Feb 20 16:35:23-950233 cadet-tun-9478 DEBUG Trying skipped keys
Feb 20 16:35:23-950267 cadet-9478 WARNING External protocol violation detected at gnunet-service-cadet-new_tunnels.c:3138.
Feb 20 16:35:23-950302 cadet-tun-9478 WARNING Tunnel W2KF failed to decrypt and validate encrypted data
Feb 20 16:35:47-927254 cadet-tun-9478 DEBUG Performing connection maintenance for Tunnel W2KF.
Feb 20 16:35:47-927372 cadet-per-9478 DEBUG Iterating over paths to peer P(W2KF) including direct link
Feb 20 16:35:47-927413 cadet-pat-9478 DEBUG check_match found match with path W2KF(0xd7f690)
Feb 20 16:35:47-927450 cadet-pat-9478 DEBUG Returning existing path W2KF(0xd7f690) as inverse for incoming connection
Feb 20 16:35:47-927490 cadet-tun-9478 DEBUG Ignoring duplicate path W2KF(0xd7f690).
Feb 20 16:35:47-927522 cadet-tun-9478 DEBUG Ignoring duplicate path W2KF(0xd7f690).
Feb 20 16:36:47-950068 cadet-tun-9478 DEBUG Performing connection maintenance for Tunnel W2KF.
Feb 20 16:36:47-950147 cadet-per-9478 DEBUG Iterating over paths to peer P(W2KF) including direct link
Feb 20 16:36:47-950171 cadet-pat-9478 DEBUG check_match found match with path W2KF(0xd7f690)
Feb 20 16:36:47-950191 cadet-pat-9478 DEBUG Returning existing path W2KF(0xd7f690) as inverse for incoming connection
Feb 20 16:36:47-950211 cadet-tun-9478 DEBUG Ignoring duplicate path W2KF(0xd7f690).
Feb 20 16:36:47-950229 cadet-tun-9478 DEBUG Ignoring duplicate path W2KF(0xd7f690).
20160220.listening.txt (14,313 bytes)

Christian Grothoff

2017-02-20 18:59

manager   ~0011797

Is this still in the context of a peer being restarted?

lurchi

2017-02-20 19:48

developer   ~0011798

yes, I restarted the listening peer (A) several times and did

gnunet-cadet -o 9999 on peer A
gnunet-cadet <Peer A> 9999 on peer B

every time.

Christian Grothoff

2017-02-20 23:24

manager   ~0011799

Ok, then 9bb2b2522..8c33a0e02 would seem to be the right fix (TM).

Issue History

Date Modified Username Field Change
2017-02-18 22:03 lurchi New Issue
2017-02-18 22:03 lurchi Status new => assigned
2017-02-18 22:03 lurchi Assigned To => Christian Grothoff
2017-02-18 22:03 lurchi File Added: 20160218.2.connecting.txt
2017-02-18 22:04 lurchi File Added: 20160218.2.listening.txt
2017-02-18 22:04 lurchi File Added: 20160218.2.listening-2.txt
2017-02-18 22:05 lurchi File Deleted: 20160218.2.listening-2.txt
2017-02-18 22:08 lurchi Description Updated View Revisions
2017-02-19 00:27 Christian Grothoff Target Version => 0.11.0pre66
2017-02-19 00:28 Christian Grothoff Note Added: 0011786
2017-02-19 00:28 Christian Grothoff Status assigned => feedback
2017-02-20 16:41 lurchi File Added: 20160220.connecting.txt
2017-02-20 16:41 lurchi Note Added: 0011795
2017-02-20 16:41 lurchi Status feedback => assigned
2017-02-20 16:41 lurchi File Added: 20160220.listening.txt
2017-02-20 16:41 lurchi Note Added: 0011796
2017-02-20 18:59 Christian Grothoff Note Added: 0011797
2017-02-20 19:48 lurchi Note Added: 0011798
2017-02-20 23:24 Christian Grothoff Note Added: 0011799
2017-02-20 23:24 Christian Grothoff Status assigned => resolved
2017-02-20 23:24 Christian Grothoff Resolution open => fixed
2017-02-20 23:24 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed